<?php

namespace App\Twig;

use App\Form\DataTransformer\MinutesToPeriodTransformer;
use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

class ConvertPeriod extends AbstractExtension
{
    public function __construct(protected MinutesToPeriodTransformer $minutesToPeriodTransformer)
    {
        
    }
    public function getFilters(): array
    {
        return [
            new TwigFilter('minutes', [$this, 'showMinutes'])
        ];
    }

    public function showMinutes(?string $period): int
    {
        return $this->minutesToPeriodTransformer->transform($period);
    }
}